import 'package:adeptarch/src/dao/super_dao.dart';
import 'package:adeptutils/adeptutils.dart';
import 'package:adeptarch/src/filters/filters.dart';

///Singleton
FiltersDao dao = FiltersDao();
class FiltersDao extends SuperDao<Filters>
{
  @override
  Filters load({dynamic key}) {
    return Filters().fromJsonString(SharedPreferencesUtils.getString(key));
  }

  @override
  void save({Filters data, List<Filters> dataList}) {
    if(data != null) SharedPreferencesUtils.putString(data.key, data.toJsonString());
  }
}