import 'package:floor/floor.dart' as Floor;
import 'dart:async';

abstract class SuperRoom<T>
{
  @Floor.insert
  Future<int> insert({T data}) => null;

  @Floor.insert
  Future<List<int>> insertList({List<T> dataList}) => null;

  @Floor.update
  Future<int> update({T data, List<T> dataList}) => null;

  @Floor.delete
  Future<int> delete({T data, List<T> dataList}) => null;

  Future<T> load() => null;
  void save({T data, List<T> dataList}){}
  void clear(){}
}
