import 'package:json_annotation/json_annotation.dart';
import 'package:adeptarch/src/utils/sort_mode.dart';
import 'package:adeptarch/src/filters/filter.dart';
 import 'package:flutter/foundation.dart';

part 'bool_filter.g.dart';

@JsonSerializable()
class BoolFilter extends Filter<BoolFilter, bool>
{
  BoolFilter(
    {
      @required String param,
      SortMode sortMode,
      FilterActionType filterActionType,
    })
      : super(
      param: param,
      sortMode: sortMode,
      filterActionType: filterActionType,
    );

  @override
  Map<String, dynamic> toJson() => _$BoolFilterToJson(this);
  @override
  BoolFilter fromJsonMap(Map<String, dynamic> json) => BoolFilter.fromJson(json);
  factory BoolFilter.fromJson(Map<String, dynamic> json) => json != null ? _$BoolFilterFromJson(json) : null;
}