import 'package:adeptarch/src/filters/filter.dart';
import 'package:adeptarch/src/utils/sort_mode.dart';
import 'package:json_annotation/json_annotation.dart';
 import 'package:flutter/foundation.dart';

part 'enum_filter.g.dart';

@JsonSerializable()
class EnumFilter extends Filter<EnumFilter, String>
{
  EnumFilter(
    {
      @required String param,
      SortMode sortMode,
      FilterActionType filterActionType,
    })
      : super(
      param: param,
      sortMode: sortMode,
      filterActionType: filterActionType,
    );

  @override
  Map<String, dynamic> toJson() => _$EnumFilterToJson(this);
  @override
  EnumFilter fromJsonMap(Map<String, dynamic> json) => EnumFilter.fromJson(json);
  factory EnumFilter.fromJson(Map<String, dynamic> json) => json != null ? _$EnumFilterFromJson(json) : null;
}