import 'package:adeptarch/src/filters/filters.dart';
import 'package:flutter/material.dart';

abstract class BaseFilterView<T extends Filter> extends StatefulWidget {

  FilterController<T> filterController;
  String hint;
  bool allowSorting;

  BaseFilterView({
    this.filterController,
    this.hint,
    this.allowSorting
  }){
    this.filterController ??= FilterController();
    allowSorting ??= true;
  }
}